# Copyright 2010-2015  Lars Wirzenius
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import cliapp
import os
import shutil
import string
import time

import jtlib


class RemoveCommand(cliapp.Plugin):

    def enable(self):
        self.app.add_subcommand('remove', self.run, arg_synopsis='DRAFT-ID')

    def run(self, args):
        '''Remove a draft.'''

        if not args:
            raise cliapp.AppException('Usage: journal-note remove ID')
        drafts_dir = jtlib.DraftsDirectory(self.app.drafts_dir())
        drafts_dir.remove_draft(args[0])
